Panda3D

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
PStatCollectorDef Class Reference

Defines the details about the Collectors: the name, the suggested color, etc. More...

`#include "pStatCollectorDef.h"`

## Classes
struct | ColorDef

## Public Member Functions
| PStatCollectorDef (int index, const std::string &name)
void | read_datagram (DatagramIterator &source, PStatClientVersion *version)
| Extracts the collectorDef definition from the datagram.
void | set_parent (const PStatCollectorDef &parent)
| This is normally called only by the PStatClient when the new PStatCollectorDef is created; it sets the parent of the CollectorDef and inherits whatever properties are appropriate.
void | write_datagram (Datagram &destination) const
| Writes the definition of the collectorDef to the datagram.

## Public Attributes
bool | _active_explicitly_set
double | _factor
int | _index
bool | _is_active
std::string | _level_units
std::string | _name
int | _parent_index
int | _sort
ColorDef | _suggested_color
double | _suggested_scale

## Detailed Description

Defines the details about the Collectors: the name, the suggested color, etc.

Definition at line 29 of file pStatCollectorDef.h.

## Constructor & Destructor Documentation

## ◆ PStatCollectorDef() [1/2]

PStatCollectorDef::PStatCollectorDef | ( |  | ) |

Definition at line 23 of file pStatCollectorDef.cxx.

## ◆ PStatCollectorDef() [2/2]

PStatCollectorDef::PStatCollectorDef | ( | int | index,
|  | const std::string & | name )

Definition at line 40 of file pStatCollectorDef.cxx.

## Member Function Documentation

## ◆ read_datagram()

void PStatCollectorDef::read_datagram | ( | DatagramIterator & | source,
|  | PStatClientVersion * | version )

Extracts the collectorDef definition from the datagram.

Definition at line 91 of file pStatCollectorDef.cxx.

References DatagramIterator::get_float32(), DatagramIterator::get_int16(), and DatagramIterator::get_string().

Referenced by PStatClientControlMessage::decode().

## ◆ set_parent()

void PStatCollectorDef::set_parent | ( | const PStatCollectorDef & | parent | ) |

This is normally called only by the PStatClient when the new PStatCollectorDef is created; it sets the parent of the CollectorDef and inherits whatever properties are appropriate.

Definition at line 61 of file pStatCollectorDef.cxx.

## ◆ write_datagram()

void PStatCollectorDef::write_datagram | ( | Datagram & | destination | ) | const

Writes the definition of the collectorDef to the datagram.

Definition at line 74 of file pStatCollectorDef.cxx.

References Datagram::add_float32(), Datagram::add_int16(), and Datagram::add_string().

## Member Data Documentation

## ◆ _active_explicitly_set

bool PStatCollectorDef::_active_explicitly_set

Definition at line 51 of file pStatCollectorDef.h.

## ◆ _factor

double PStatCollectorDef::_factor

Definition at line 49 of file pStatCollectorDef.h.

## ◆ _index

int PStatCollectorDef::_index

Definition at line 42 of file pStatCollectorDef.h.

## ◆ _is_active

bool PStatCollectorDef::_is_active

Definition at line 50 of file pStatCollectorDef.h.

## ◆ _level_units

std::string PStatCollectorDef::_level_units

Definition at line 47 of file pStatCollectorDef.h.

## ◆ _name

std::string PStatCollectorDef::_name

Definition at line 43 of file pStatCollectorDef.h.

## ◆ _parent_index

int PStatCollectorDef::_parent_index

Definition at line 44 of file pStatCollectorDef.h.

## ◆ _sort

int PStatCollectorDef::_sort

Definition at line 46 of file pStatCollectorDef.h.

## ◆ _suggested_color

ColorDef PStatCollectorDef::_suggested_color

Definition at line 45 of file pStatCollectorDef.h.

## ◆ _suggested_scale

double PStatCollectorDef::_suggested_scale

Definition at line 48 of file pStatCollectorDef.h.

The documentation for this class was generated from the following files:

- panda/src/pstatclient/pStatCollectorDef.h
- panda/src/pstatclient/pStatCollectorDef.cxx